import { JsonStorage } from "../../data/protocols/storage/json-storage";
export declare class LocalJsonStorage implements JsonStorage {
  private static instance;
  /**
   * Singleton class private contructor
   */
  private constructor();
  /**
   * Singleton class create instance
   */
  static getInstance(): LocalJsonStorage;
  /**
   * Add key and value
   *
   * @param key
   * @param value
   */
  add(key: string, value: any): void;
  /**
   * Get value for key
   *
   * @param key
   * @returns
   */
  get(key: string): any;
  /**
   * Remove value for key
   *
   * @param key
   */
  remove(key: string): void;
}
