import { GetAccountSummary } from '../../../domain/usages/get-account-sumary';
declare type Summary = {
  total_amount: number;
  total_pending: number;
  total_converted: number;
};
export declare class AccountSummaryComponent {
  /** Get account summary */
  getAccountSummary: GetAccountSummary;
  /** loading */
  loading: boolean;
  /** Account transactions */
  summary: Summary;
  /**
   * When component loads
   * fetch account transactions
   *
   * @returns
   */
  componentWillLoad(): Promise<void>;
  /**
   * Fetch account transactions
   */
  fetchAccountSummary(): Promise<void>;
  render(): any;
}
export {};
