import { p as promiseResolve, b as bootstrapLazy } from './index-36056e77.js';

/*
 Stencil Client Patch Esm v2.5.2 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["account-summary-component_6",[[1,"wallet-component"],[0,"account-transaction-list-component-factory"],[0,"account-summary-component-factory"],[0,"account-transaction-list-component",{"getAccountTransactionList":[16],"loading":[32],"transactions":[32]}],[0,"account-summary-component",{"getAccountSummary":[16],"loading":[32],"summary":[32]}],[0,"account-transaction-component",{"transaction":[16]}]]]], options);
  });
};

export { defineCustomElements };
